org.vertx.java.core.eventbus.impl.hazelcast

## Class HazelcastServerID

- java.lang.Object
- - org.vertx.java.core.eventbus.impl.hazelcast.HazelcastServerID

All Implemented Interfaces:
  com.hazelcast.nio.DataSerializable, java.io.Serializable

    public class HazelcastServerID
    extends java.lang.Object
    implements com.hazelcast.nio.DataSerializable

See Also:
  Serialized Form

### Field Summary

Fields
`ServerID` `serverID`

### Constructor Summary

Constructors
Constructor and Description
`HazelcastServerID()`
`HazelcastServerID(ServerID serverID)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`void` `readData(java.io.DataInput dataInput)`
`void` `writeData(java.io.DataOutput dataOutput)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverID

    public ServerID serverID

### Constructor Detail

#### HazelcastServerID

    public HazelcastServerID()

#### HazelcastServerID

    public HazelcastServerID(ServerID serverID)

### Method Detail

#### writeData

    public void writeData(java.io.DataOutput dataOutput)
                   throws java.io.IOException

Specified by:
  `writeData` in interface `com.hazelcast.nio.DataSerializable`
Throws:
  `java.io.IOException`

#### readData

    public void readData(java.io.DataInput dataInput)
                  throws java.io.IOException

Specified by:
  `readData` in interface `com.hazelcast.nio.DataSerializable`
Throws:
  `java.io.IOException`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`